# Dockerfile used by OSBS and by prow CI.
FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202112142229.p0.gce7d979.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.gce7d979.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ce7d979 OS_GIT_VERSION=4.9.0-202112142229.p0.gce7d979.assembly.stream-ce7d979 SOURCE_DATE_EPOCH=1625597248 SOURCE_GIT_COMMIT=ce7d979635b9d1210db48d54485bc924aed37cdb SOURCE_GIT_TAG=v0.20.0-2737-gce7d97963 SOURCE_GIT_URL=https://github.com/openshift/prometheus-operator 
WORKDIR /go/src/github.com/coreos/prometheus-operator
COPY . .
ENV GO111MODULE=on
ENV GOFLAGS="-mod=vendor"
RUN OS=$(go env GOOS) ARCH=$(go env GOARCH) make operator-no-deps

FROM openshift/ose-base:v4.9.0-202112140956.p0.gf93eca8.assembly.stream
ENV __doozer=update BUILD_RELEASE=202112142229.p0.gce7d979.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.gce7d979.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ce7d979 OS_GIT_VERSION=4.9.0-202112142229.p0.gce7d979.assembly.stream-ce7d979 SOURCE_DATE_EPOCH=1625597248 SOURCE_GIT_COMMIT=ce7d979635b9d1210db48d54485bc924aed37cdb SOURCE_GIT_TAG=v0.20.0-2737-gce7d97963 SOURCE_GIT_URL=https://github.com/openshift/prometheus-operator 

COPY --from=builder /go/src/github.com/coreos/prometheus-operator/operator /usr/bin/
# doesn't require a root user.
USER 1001
ENTRYPOINT ["/usr/bin/operator"]

LABEL \
        io.k8s.display-name="Prometheus Operator" \
        io.k8s.description="This component manages the lifecycle and configuration of a Prometheus monitoring server as well as Prometheus Alertmanager clusters." \
        io.openshift.tags="prometheus" \
        summary="This component manages the lifecycle and configuration of a Prometheus monitoring server as well as Prometheus Alertmanager clusters." \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-prometheus-operator" \
        com.redhat.component="prometheus-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202112142229.p0.gce7d979.assembly.stream" \
        io.openshift.build.commit.id="ce7d979635b9d1210db48d54485bc924aed37cdb" \
        io.openshift.build.source-location="https://github.com/openshift/prometheus-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/prometheus-operator/commit/ce7d979635b9d1210db48d54485bc924aed37cdb" \
        version="v4.9.0"

